<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjCustomerTokenModel extends pjAppModel
{
	protected $primaryKey = 'id';
	
	protected $table = 'customers_tokens';
	
	protected $schema = array(
		array('name' => 'id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'customer_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'token_id', 'type' => 'int', 'default' => ':NULL'),
		array('name' => 'content', 'type' => 'text', 'default' => ':NULL')
	);
	
	public static function factory($attr=array())
	{
		return new pjCustomerTokenModel($attr);
	}
}
?>